This is an automated email from the git hooks/post-receive script.

kanashiro-guest pushed a commit to branch master
in repository carton.

commit ef570ccd1a17cdfe5fdf0e537af05c0a6cd4ee27
Author: Tatsuhiko Miyagawa <miyag...@bulknews.net>
Date:   Wed Jun 26 12:20:25 2013 -0700

    Bump Module::Build and MakeMaker to support test requires.
    
    This makes sure all environments support build tools with test
    requires support, so that test requires in the dependency chain
    are going to be ignored.
    
    Reported by David Golden.
---
 Build.PL  | 4 ++--
 META.json | 4 ++--
 cpanfile  | 4 ++--
 3 files changed, 6 insertions(+), 6 deletions(-)

diff --git a/Build.PL b/Build.PL
index 0c8cbae..c662ba1 100644
--- a/Build.PL
+++ b/Build.PL
@@ -28,10 +28,10 @@ my %module_build_args = (
     "CPAN::Meta" => "2.120921",
     "CPAN::Meta::Requirements" => "2.121",
     "Exception::Class" => "1.32",
-    "ExtUtils::MakeMaker" => "6.59",
+    "ExtUtils::MakeMaker" => "6.64",
     "Getopt::Long" => "2.39",
     "JSON" => "2.53",
-    "Module::Build" => "0.38",
+    "Module::Build" => "0.4004",
     "Module::CPANfile" => "0.9031",
     "Module::Metadata" => "1.000003",
     "Moo" => "1.002",
diff --git a/META.json b/META.json
index fc1a482..4a0d3b2 100644
--- a/META.json
+++ b/META.json
@@ -50,10 +50,10 @@
             "CPAN::Meta" : "2.120921",
             "CPAN::Meta::Requirements" : "2.121",
             "Exception::Class" : "1.32",
-            "ExtUtils::MakeMaker" : "6.59",
+            "ExtUtils::MakeMaker" : "6.64",
             "Getopt::Long" : "2.39",
             "JSON" : "2.53",
-            "Module::Build" : "0.38",
+            "Module::Build" : "0.4004",
             "Module::CPANfile" : "0.9031",
             "Module::Metadata" : "1.000003",
             "Moo" : "1.002",
diff --git a/cpanfile b/cpanfile
index a131bb7..779a9c4 100644
--- a/cpanfile
+++ b/cpanfile
@@ -18,8 +18,8 @@ requires 'Path::Tiny', 0.022;
 
 # MYMETA support
 requires 'App::cpanminus', 1.6915;
-requires 'ExtUtils::MakeMaker', 6.59;
-requires 'Module::Build', 0.38;
+requires 'ExtUtils::MakeMaker', 6.64;
+requires 'Module::Build', 0.4004;
 requires 'CPAN::Meta', 2.120921;
 requires 'CPAN::Meta::Requirements', 2.121;
 

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-perl/packages/carton.git

_______________________________________________
Pkg-perl-cvs-commits mailing list
Pkg-perl-cvs-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-perl-cvs-commits

Reply via email to